AquaMapsPortletRemoteServiceAsync (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.rpc

## Interface AquaMapsPortletRemoteServiceAsync

-     public interface AquaMapsPortletRemoteServiceAsync

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkGIS(int job, com.google.gwt.user.client.rpc.AsyncCallback<GISViewerParameters> callback)`
    `void` | `deleteSubmittedById(List<Integer> submittedId, com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)`
    `void` | `getAquaMapsObject(int id, boolean fetchInDb, com.google.gwt.user.client.rpc.AsyncCallback<ClientObject> callback)`
    `void` | `getEnvelope(String speciesId, boolean loadCustomization, com.google.gwt.user.client.rpc.AsyncCallback<ClientEnvelope> callback)`
    `void` | `reCalculateEnvelopeFromCellIds(List<String> cellsId, String SpeciesId, com.google.gwt.user.client.rpc.AsyncCallback<ClientEnvelope> callback)`
    `void` | `reCalculateGoodCells(String bb, String faoSelection, String speciesId, boolean useBottom, boolean useBounding, boolean useFAO, com.google.gwt.user.client.rpc.AsyncCallback<ClientEnvelope> callback)`
    `void` | `saveAquaMapsItem(List<Integer> objectId, String name, String destinationBasketId, com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)`
    `void` | `saveLayerItem(String url, String mimeType, String name, String destinationBasketId, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `submitJob(String title, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`

- - ### Method Detail

    - #### getAquaMapsObject

          void getAquaMapsObject(int id,
                               boolean fetchInDb,
                               com.google.gwt.user.client.rpc.AsyncCallback<ClientObject> callback)

    - #### getEnvelope

          void getEnvelope(String speciesId,
                         boolean loadCustomization,
                         com.google.gwt.user.client.rpc.AsyncCallback<ClientEnvelope> callback)

    - #### saveAquaMapsItem

          void saveAquaMapsItem(List<Integer> objectId,
                              String name,
                              String destinationBasketId,
                              com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)

    - #### reCalculateEnvelopeFromCellIds

          void reCalculateEnvelopeFromCellIds(List<String> cellsId,
                                            String SpeciesId,
                                            com.google.gwt.user.client.rpc.AsyncCallback<ClientEnvelope> callback)

    - #### reCalculateGoodCells

          void reCalculateGoodCells(String bb,
                                  String faoSelection,
                                  String speciesId,
                                  boolean useBottom,
                                  boolean useBounding,
                                  boolean useFAO,
                                  com.google.gwt.user.client.rpc.AsyncCallback<ClientEnvelope> callback)

    - #### deleteSubmittedById

          void deleteSubmittedById(List<Integer> submittedId,
                                 com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)

    - #### submitJob

          void submitJob(String title,
                       com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### saveLayerItem

          void saveLayerItem(String url,
                           String mimeType,
                           String name,
                           String destinationBasketId,
                           com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### checkGIS

          void checkGIS(int job,
                      com.google.gwt.user.client.rpc.AsyncCallback<GISViewerParameters> callback)

Copyright © 2014. All Rights Reserved.